<script setup lang="ts">
import { defineProps, defineEmits, unref } from "vue";
import { PencilSquareIcon } from "@heroicons/vue/24/outline";
import type { TUser } from "../types/user.type";

const props = defineProps<{
  id: TUser["id"];
}>();

const emits = defineEmits<{
  click: [id: TUser["id"]];
}>();
</script>

<template>
  <button
    class="rounded-md p-1 transition-colors duration-200 hover:bg-sky-100 focus:bg-sky-100 focus:outline-none"
    title="Edit User"
    @click="emits('click', props.id)"
  >
    <PencilSquareIcon class="h-5 w-5 text-sky-700" />
  </button>
</template>
